{
  "schema_version": "1.4.0",
  "id": "GHSA-w34p-hhjq-x6m6",
  "modified": "2022-05-17T05:25:38Z",
  "published": "2022-05-17T05:25:38Z",
  "aliases": [
    "CVE-2012-4358"
  ],
  "details": "Sielco Sistemi Winlog Pro SCADA before 2.07.17 and Winlog Lite SCADA before 2.07.17 do not validate the return value of the realloc function, which allows remote attackers to cause a denial of service (invalid 0x00 write operation and daemon crash) or possibly have unspecified other impact via a port-46824 TCP packet with a crafted positive integer after the opcode.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-4358"
    },
    {
      "type": "WEB",
      "url": "http://aluigi.org/adv/winlog_2-adv.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49395"
    },
    {
      "type": "WEB",
      "url": "http://www.sielcosistemi.com/en/news/index.html?id=69"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/control_systems/pdf/ICSA-12-213-01.pdf"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-20"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-19T20:55:00Z"
  }
}